Bug 116163 - games/crafty port segfaults with book create command
Summary: games/crafty port segfaults with book create command
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-06 20:20 UTC by shoemaker
Modified: 2007-09-10 02:14 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shoemaker 2007-09-06 20:20:01 UTC
When building books, the crafty program terminates with
a segmentation fault: backtrace follows:

0x2826fabd in strtol () from /lib/libc.so.6
(gdb) backtrace
#0  0x2826fabd in strtol () from /lib/libc.so.6
#1  0x2825535b in atoi () from /lib/libc.so.6
#2  0x08063bef in BookUp ()
#3  0x080794a9 in Option (tree=0x8124000) at option.c:276
#4  0x08076b58 in main (argc=1, argv=0xbfbfe9d0) at main.c:3125

How-To-Repeat: 	get some pgn files, run crafty, issue command 'book create
<file.pgn> 60'.  Crafty runs through the build, then segfaults

----------------------------------------------------------------------
Finally - A spam blocker that actually works.
http://www.bluebottle.com/tag/4
Comment 1 Edwin Groothuis freebsd_committer 2007-09-06 22:54:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Edwin Groothuis freebsd_committer 2007-09-09 23:33:28 UTC
State Changed
From-To: feedback->analyzed

resolved by ports/116239
Comment 3 Edwin Groothuis freebsd_committer 2007-09-10 02:13:55 UTC
State Changed
From-To: analyzed->closed

Closed with the comimiting of ports/116241